Bug 1114810 - CVE-2014-3499 docker-io: docker: systemd socket activation results in privilege escalation [fedora-all]
Summary: CVE-2014-3499 docker-io: docker: systemd socket activation results in privile...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-3499
TreeView+ depends on / blocked
 
Reported: 2014-07-01 04:39 UTC by Trevor Jay
Modified: 2014-07-14 00:55 UTC (History)
8 users (show)

Fixed In Version: docker-io-1.0.0-6.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-14 00:54:03 UTC


Attachments (Terms of Use)

Description Trevor Jay 2014-07-01 04:39:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Trevor Jay 2014-07-01 04:40:09 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1111687,1114810

Comment 2 Trevor Jay 2014-07-01 05:44:48 UTC
Vincent Danen wrote in a related bug:
> The fix for this seems to be as simple as editing
> /usr/lib/systemd/system/docker.socket and change the [Socket] section to:
> 
> [Socket]
> ListenStream=/var/run/docker.sock
> SocketMode=0660
> SocketUser=root
> SocketGroup=docker

Which should apply here.

Comment 3 Fedora Update System 2014-07-01 23:32:46 UTC
docker-io-1.0.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.0.0-6.fc20

Comment 4 Fedora Update System 2014-07-01 23:46:02 UTC
docker-io-1.0.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-1.0.0-6.fc19

Comment 5 Fedora Update System 2014-07-03 04:08:00 UTC
Package docker-io-1.0.0-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-1.0.0-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8021/docker-io-1.0.0-6.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-07-14 00:54:03 UTC
docker-io-1.0.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-07-14 00:55:21 UTC
docker-io-1.0.0-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.